Bug 115162 - subscript out of range & too many arguments
subscript out of range & too many arguments
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mars-nwe (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2004-02-07 09:18 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 11:24:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-07 09:18:20 EST
Description of problem:

I just tried to compile package mars-nwe-0.99pl20-13 from Fedora.

The compiler said

1.

../nwserv.c(1558): warning #140: too many arguments in function call

The source code is

          if (call_wdog) send_wdogs(1);

but, earlier in the file

static void send_wdogs()
{

Suggest remove 1 from parameter list.

2.

../nwbind.c(1893): warning #175: subscript out of range

The source code is

  struct XDATA {
    uint8 count_handles[4];
    uint8 handles[4];
  } *xdata = (struct XDATA*) data;
  int open_files = GET_BE32(xdata->count_handles);
  int handle0    = open_files < 1 ? 0 : GET_BE32(xdata->handles);
  int handle1    = open_files < 2 ? 0 : GET_BE32(xdata->handles+4);

It's a good bet here that handle1 is trying to access xdata->handles[ 4],
which doesn't exist.

I'm not sure what a good fix for this is.





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marcin Garski 2004-09-29 11:24:13 EDT
Thanks for the bug report.
However, Red Hat no longer maintains mars-nwe.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some
older releases, and if you believe this bug is interesting to them,
please report the problem in the bug tracker at:
http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.